<?xml version="1.0" encoding="utf-8"?>
<module>
    <grants />
    <permissions>
        <permission action="dispSdocumentManageDocument" target="member" />
        <permission action="getSdocumentCategories" target="member" />
        <permission action="getSdocumentCategoryTplInfo" target="member" />
        <permission action="procSdocumentAddCart" target="member" />

        <permission action="procSdocumentInsertCategory" target="member" />
        <permission action="procSdocumentManageCheckedSdocument" target="member" />
        <permission action="procSdocumentMoveCategory" target="member" />
        <permission action="procSdocumentDeleteCategory" target="member" />
        <permission action="procSdocumentMakeXmlFile" target="member" />
    </permissions>
    <actions>
        <action name="dispSdocumentPrint" type="view" standalone="true" />
        <action name="dispSdocumentPreview" type="view" standalone="true" />
        <action name="dispSdocumentManageDocument" type="view" standalone="true"/>

        <action name="getSdocumentCategories" type="model" standalone="true"/>
        <action name="getSdocumentMenu" type="model" standalone="true"/>

        <action name="procSdocumentVoteUp" type="controller" standalone="true" />
        <action name="procSdocumentVoteDown" type="controller" standalone="true" />
        <action name="procSdocumentDeclare" type="controller" standalone="true" />
        <action name="procSdocumentAddCart" type="controller" standalone="true" />
        <action name="procSdocumentManageCheckedSdocument" type="controller" standalone="true" />
        <action name="procSdocumentInsertModuleConfig" type="controller" standalone="true" />

        <action name="dispSdocumentAdminList" type="view" admin_index="true" standalone="true" />
        <action name="dispSdocumentAdminConfig" type="view" standalone="true" />
        <action name="dispSdocumentAdminAlias" type="view" standalone="true" />
        <action name="dispSdocumentAdminDeclared" type="view" standalone="true" />
        <action name="dispSdocumentAdminTrashList" type="view" standalone="true" />

        <action name="getSdocumentCategoryTplInfo" type="model" standalone="true"/>

        <action name="procSdocumentInsertCategory" type="controller" standalone="true"/>
        <action name="procSdocumentDeleteCategory" type="controller" standalone="true"/>
        <action name="procSdocumentMoveCategory" type="controller" standalone="true"/>
        <action name="procSdocumentMakeXmlFile" type="controller" standalone="true"/>

        <action name="procSdocumentAdminInsertAlias" type="controller" standalone="true"/>
        <action name="procSdocumentAdminDeleteAlias" type="controller" standalone="true"/>
        <action name="procSdocumentAdminRestoreTrash" type="controller" standalone="true"/>
        <action name="procSdocumentAdminMoveExtraVar" type="controller" standalone="true"/>

        <action name="procSdocumentAdminInsertExtraVar" type="controller" standalone="true" />
        <action name="procSdocumentAdminDeleteExtraVar" type="controller" standalone="true" />
        <action name="procSdocumentAdminDeleteChecked" type="controller" standalone="true" />
        <action name="procSdocumentAdminInsertConfig" type="controller" standalone="true" />
        <action name="procSdocumentAdminDeleteAllThumbnail" type="controller" standalone="true" />
        <action name="procSdocumentAdminCancelDeclare" type="controller" standalone="true" />
    </actions>
</module>
